/*
 * IFortune.java
 *
 * Created on August 7, 2003, 8:50 AM
 *
 * @author David Tran
 */

package mvc143;

import java.util.Date;


/** 
 * The interface to a fortune/horoscope.
 * Fortunes contain some sort of message (e.g. you will get a 4.0 in CSE 143)
 * and a rating of that fortune (e.g. 10).
 *
 * CONVENTION: A rating of 10 is best, 1 is worst.
 *
 */
public interface IFortune {


    /** 
     * Retrieves the message of this fortune.
     * @return the fortune of this sign.
     */
    public String getMessage();

    /** 
     * Retrieves the rating of this fortune.
     * @return the rating of this sign, a number between 1 and 10.
     *
     * CONVENTION: A rating of 10 is best, 1 is worst.
     */
    public int getRating();


}
