/*
 * ISign.java
 *
 * Created on August 7, 2003, 8:50 AM
 *
 * @author David Tran
 */

package mvc143;

import java.util.Calendar;


/** 
 * The interface to a sign/symbol for a horoscope (possibly astrological).
 *
 */
public interface ISign {


    /** 
     * Retrieves the name of this sign.
     * @return the name of this sign.
     */
    public String getName();

    /** 
     * Retrieves the date on which this sign starts.
     * @return the starting date for this sign.
     */
    public Calendar getStartDate();

    /** 
     * Retrieves the date on which this sign ends.
     * @return the ending date for this sign.
     */
    public Calendar getEndDate();

}
